Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235477 - Create spec files for SetupUtil
Summary: Create spec files for SetupUtil
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-04-06 00:56 UTC by Noriko Hosoi
Modified: 2015-12-07 17:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:12:52 UTC


Attachments (Terms of Use)
specs/RHEL/setuputil.spec (deleted)
2007-04-09 17:55 UTC, Noriko Hosoi
no flags Details
specs/SOLARIS/setuputil.spec (deleted)
2007-04-09 17:59 UTC, Noriko Hosoi
no flags Details
cvs commit message (deleted)
2007-04-09 18:44 UTC, Noriko Hosoi
no flags Details | Diff

Description Noriko Hosoi 2007-04-06 00:56:01 UTC
Description of problem:
This bug is a follow-up of "234893: Build SetupUtil with autotools"

Comment 1 Noriko Hosoi 2007-04-09 17:55:45 UTC
Created attachment 152005 [details]
specs/RHEL/setuputil.spec

Spec file for RHEL.

How to create an RPM package on RHEL:
# go to one level above setuputil
$ ls -d setuputil
setuputil/
$ \rm -f setuputil-1.1.0
$ \rm -rf SPECS SOURCES RPMS BUILD
$ mkdir SPECS SOURCES RPMS BUILD
$ cp setuputil/specs/RHEL/setuputil.spec SPECS
$ ln -s setuputil setuputil-1.1.0
$ tar chjf SOURCES/setuputil-1.1.0.tar.bz2 setuputil-1.1.0/
$ rpmbuild --define="_topdir `pwd`" --target i386 --bb SPECS/setuputil.spec
$ ls RPMS/i386/
setuputil-1.1.0-1.i386.rpm	      setuputil-devel-1.1.0-1.i386.rpm
setuputil-debuginfo-1.1.0-1.i386.rpm

Comment 2 Noriko Hosoi 2007-04-09 17:59:46 UTC
Created attachment 152006 [details]
specs/SOLARIS/setuputil.spec

Spec file for Solaris.

How to create a PKG package on Solaris:
# go to one level above setuputil
$ ls -d setuputil
setuputil/
$ \rm -f setuputil-1.1.0
$ \rm -rf SPECS SOURCES PKGS BUILD
$ mkdir SPECS SOURCES PKGS BUILD
$ \rm -f setuputil-1.1.0
$ ln -s setuputil/ setuputil-1.1.0
$ cp setuputil/specs/SOLARIS/setuputil.spec SPECS
$ tar chjf SOURCES/setuputil-1.1.0.tar.bz2 setuputil-1.1.0/
$ /opt/pkgbuild/bin/pkgbuild --pkgformat=datastream --define="_topdir `pwd`"
--define "optflags -xs -X04" --define "_target sparcv9" -bb
SPECS/setuputil.spec > pkgbuild.out 2>&1&
$ ls -R PKGS
PKGS:
RHATsetuputilx-1.1.0.sparcv9.pkg
RHATsetuputilx-devel-1.1.0.sparcv9.pkg

Comment 3 Noriko Hosoi 2007-04-09 18:44:49 UTC
Created attachment 152007 [details]
cvs commit message

Reviewed by Rich (Thank you!!)

Checked in into HEAD.

Comment 4 Nathan Kinder 2007-11-29 17:23:49 UTC
Spec files were created for setuputil, but we no longer use setuputil (it has
been replaced with some setup Perl modules).  Marking as VERIFIED. 


Note You need to log in before you can comment on or make changes to this bug.